DUCK(1)

NAME
duck - the Debian Url ChecKer

SYNOPSIS
duck [ OPTION ]... [-f file]

DESCRIPTION
duck extracts links, email address domains and VCS-* entries from debian/control, debian/upstream, debian/upstream-metadata.yaml and debian/upstream/metadata. It tries to access those VCS-* entries and URLs using the approriate tool to find out whether the given URLs or entries are broken or working. If errors are detected, the filename, fieldname and URL of the broken link/URL are displayed. Email address domains are checked for exisiting MX records, A records, or AAAA records. If none of these 3 are defined for a given domain, it is consideredbroken.

-v  verbose mode. This shows all URLs found and the checks run.

-q  quiet mode. Suppress all output.

-f  specify path to control file. The default is debian/control.

-F  skip processing of the control file.

-u  specify path to upstream metadata file.

-U  skip processing of the upstream metadata file.

EXAMPLE
To run duck, change your working directory to an extracted debian source package and run: duck

EXIT STATUS

0   Success, no errors

1   Error(s) detected

SEE ALSO
Please see http://duck.debian.net/ for additional information as well as an overview of duck checks run on all source packages in Debian/unstable.